com.io7m.r2.filters

## Class R2BlurParameters.Builder

- java.lang.Object
- - com.io7m.r2.filters.R2BlurParameters.Builder

- Enclosing class:
    R2BlurParameters

      public static final class R2BlurParameters.Builder
      extends Object

  Builds instances of type `R2BlurParameters`. Initialize attributes and then invoke the `build()` method to create an immutable instance.

  `Builder` is not thread-safe and generally should not be stored in a field or collection, but instead used immediately to create instances.

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `R2BlurParameters` | `build()` Builds a new `R2BlurParameters`.
    `R2BlurParameters.Builder` | `from(R2BlurParametersType instance)` Fill a builder with attribute values from the provided `R2BlurParametersType` instance.
    `R2BlurParameters.Builder` | `setBlurPasses(int blurPasses)` Initializes the value for the `blurPasses` attribute.
    `R2BlurParameters.Builder` | `setBlurScale(float blurScale)` Initializes the value for the `blurScale` attribute.
    `R2BlurParameters.Builder` | `setBlurScaleFilter(com.io7m.jcanephora.core.JCGLFramebufferBlitFilter blurScaleFilter)` Initializes the value for the `blurScaleFilter` attribute.
    `R2BlurParameters.Builder` | `setBlurSize(float blurSize)` Initializes the value for the `blurSize` attribute.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### from

          public final R2BlurParameters.Builder from(R2BlurParametersType instance)

      Fill a builder with attribute values from the provided `R2BlurParametersType` instance. Regular attribute values will be replaced with those from the given instance. Absent optional values will not replace present values.
      Parameters:
        `instance` - The instance from which to copy values
      Returns:
        `this` builder for use in a chained invocation

    - #### setBlurSize

          public final R2BlurParameters.Builder setBlurSize(float blurSize)

      Initializes the value for the `blurSize` attribute.

      If not set, this attribute will have a default value as returned by the initializer of `blurSize`.

      Parameters:
        `blurSize` - The value for blurSize
      Returns:
        `this` builder for use in a chained invocation

    - #### setBlurScale

          public final R2BlurParameters.Builder setBlurScale(float blurScale)

      Initializes the value for the `blurScale` attribute.

      If not set, this attribute will have a default value as returned by the initializer of `blurScale`.

      Parameters:
        `blurScale` - The value for blurScale
      Returns:
        `this` builder for use in a chained invocation

    - #### setBlurPasses

          public final R2BlurParameters.Builder setBlurPasses(int blurPasses)

      Initializes the value for the `blurPasses` attribute.

      If not set, this attribute will have a default value as returned by the initializer of `blurPasses`.

      Parameters:
        `blurPasses` - The value for blurPasses
      Returns:
        `this` builder for use in a chained invocation

    - #### setBlurScaleFilter

          public final R2BlurParameters.Builder setBlurScaleFilter(com.io7m.jcanephora.core.JCGLFramebufferBlitFilter blurScaleFilter)

      Initializes the value for the `blurScaleFilter` attribute.

      If not set, this attribute will have a default value as returned by the initializer of `blurScaleFilter`.

      Parameters:
        `blurScaleFilter` - The value for blurScaleFilter
      Returns:
        `this` builder for use in a chained invocation

    - #### build

          public R2BlurParameters build()

      Builds a new `R2BlurParameters`.
      Returns:
        An immutable instance of R2BlurParameters
      Throws:
        `IllegalStateException` - if any required attributes are missing

Copyright © 2016 <code@io7m.com> http://io7m.com